with GNATCOM.Dispinterface;

package MSHTML.IHTMLTable4_Object is

   type IHTMLTable4_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure PutRef_tHead
     (This : IHTMLTable4_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_tHead
     (This : IHTMLTable4_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_tFoot
     (This : IHTMLTable4_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_tFoot
     (This : IHTMLTable4_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_caption
     (This : IHTMLTable4_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_caption
     (This : IHTMLTable4_Type)
     return GNATCOM.Types.VARIANT;

   function insertRow
     (This  : IHTMLTable4_Type;
      index : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure deleteRow
     (This  : IHTMLTable4_Type;
      index : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free  : Boolean := True);

   function createTBody
     (This : IHTMLTable4_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTMLTable4_Object;

